## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLAttributesDeclaration

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface XMLAttributesDeclaration

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'XML Attributes Declaration'.

The following features are supported:

- `Value Function Element`
- `Attribute Decl Item`

See Also:
  `SQLXMLQueryModelPackage.getXMLAttributesDeclaration()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAttributeDeclItem()` Returns the value of the 'Attribute Decl Item' containment reference list.
`XMLValueFunctionElement` `getValueFunctionElement()` Returns the value of the 'Value Function Element' container reference.
`void` `setValueFunctionElement(XMLValueFunctionElement value)` Sets the value of the '`Value Function Element`' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValueFunctionElement

    XMLValueFunctionElement getValueFunctionElement()

  Returns the value of the 'Value Function Element' container reference. It is bidirectional and its opposite is '`Attributes Decl`'.

  If the meaning of the 'Value Function Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_ValueFunctionElement()`, `XMLValueFunctionElement.getAttributesDecl()`

### setValueFunctionElement

    void setValueFunctionElement(XMLValueFunctionElement value)

  Sets the value of the '`Value Function Element`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Element' container reference.
  See Also:
    `getValueFunctionElement()`

### getAttributeDeclItem

    org.eclipse.emf.common.util.EList getAttributeDeclItem()

  Returns the value of the 'Attribute Decl Item' containment reference list. The list contents are of type `XMLAttributeDeclarationItem`. It is bidirectional and its opposite is '`Attributes Decl`'.

  If the meaning of the 'Attribute Decl Item' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Decl Item' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_AttributeDeclItem()`, `XMLAttributeDeclarationItem.getAttributesDecl()`